<ion-content class="ion-padding">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{ 'User Settings > Edit Account' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>
  
  <!-- #Launch <ion-card>
    <ion-card-header>
      <ion-card-title>{{ 'Privacy' | translate }}</ion-card-title>
      <ion-card-subtitle>Privacy is essential part in todays world and we respect that. You control what you share
      </ion-card-subtitle>
    </ion-card-header>

    <ion-card-content>
      <ion-item>
        <ion-text>
          Last seen
        </ion-text>
      </ion-item>
      <ion-item>
        <ion-text>
          status
        </ion-text>
      </ion-item>
    </ion-card-content>
  </ion-card> -->

  <ion-card>
    <ion-card-header>
      <ion-card-title>{{ 'Delete Account' | translate }}</ion-card-title>
      <ion-card-subtitle>{{ 'This will create a request to delete your account.' | translate }}</ion-card-subtitle>
    </ion-card-header>

    <ion-card-content>
      <ion-item *ngIf="!deleteAccountInProgress">
        <ion-button color="danger" (click)="areYouSure()">{{ 'Delete Account' | translate }}</ion-button>
      </ion-item>
      <div *ngIf="deleteAccountInProgress">
        <ion-text>{{ 'Are you sure?' | translate }}</ion-text>
        <ion-buttons>
          <ion-button color="danger" (click)="deleteAccount()">{{ 'Yes' | translate }}</ion-button>
          <ion-button color="primary" (click)="deleteAccountCancel()">{{ 'No' | translate }}</ion-button>
        </ion-buttons>
      </div>
    </ion-card-content>
  </ion-card>
</ion-content>